> For the complete documentation index, see [llms.txt](https://developers.socialboards.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.socialboards.com/docs/apis/tickets/reference/endpoints/replace-ticket-tags.md).

# Replace Ticket Tags

{% hint style="warning" %}
All API requests should contain [authorization headers](/docs/apis/tickets/authorization-headers.md).
{% endhint %}

#### Request

```
PUT /tickets/{ticketId}/tags
```

#### Query Parameters

<table><thead><tr><th>Name</th><th width="100">Type</th><th width="100">Required</th><th>Comments</th></tr></thead><tbody><tr><td>ticketId</td><td>integer</td><td>yes</td><td>Id of ticket you want to replace tags</td></tr></tbody></table>

#### Request Body

Body of request should contain the following array of [Tag](/docs/apis/tickets/reference/objects/tag.md) models serialized to JSON.

```json
[
    {
        "id": 1386,
        "text": "Email"
    },
    {
        "id": 1387,
        "text": "Important"
    }
]
```

#### Response

```json
{
  "data": {},
  "errorCode": -1,
  "errorText": null
}
```
